class ShieldWechatMessagesController < ApplicationController
  def create
    if params[:user_id]
      @user = User.find params[:user_id]
      if params[:project_id]
        ShieldWechatMessage.create(:container_type => 'User', :container_id => params[:user_id].to_i, :shield_type => 'Project', :shield_id => params[:project_id].to_i)
        #@cp = 1
        #@projects = @user.projects.visible.select("projects.*, (SELECT MAX(updated_at)  FROM `forge_activities` WHERE forge_activities.project_id = projects.id) AS a").order("a desc").limit(5)
      elsif params[:course_id]
        ShieldWechatMessage.create(:container_type => 'User', :container_id => params[:user_id].to_i, :shield_type => 'Course', :shield_id => params[:course_id].to_i)
        #@cp = 0
        #@courses = @user.courses.visible.where("is_delete =?", 0).select("courses.*,(SELECT MAX(updated_at)  FROM `course_activities` WHERE course_activities.course_id = courses.id) AS a").order("a desc").limit(5)
      end
    end
  end

  def show_messages
    if params[:user_id]
      @user = User.find params[:user_id]
      if params[:project_id]
        ShieldWechatMessage.where("container_type='User' and container_id=#{params[:user_id].to_i} and shield_type='Project' and shield_id=#{params[:project_id]}").each do |act|
          act.destroy
        end
        #@cp = 1
        #@projects = @user.projects.visible.select("projects.*, (SELECT MAX(updated_at)  FROM `forge_activities` WHERE forge_activities.project_id = projects.id) AS a").order("a desc").limit(5)
        # ShieldActivity.create(:container_type => 'Organization', :container_id => params[:org_id].to_i, :shield_type => 'Project', :shield_id => params[:project_id].to_i)
      elsif params[:course_id]
        ShieldWechatMessage.where("container_type='User' and container_id=#{params[:user_id].to_i} and shield_type='Course' and shield_id=#{params[:course_id]}").each do |act|
          act.destroy
        end
        #@cp = 0
        #@courses = @user.courses.visible.where("is_delete =?", 0).select("courses.*,(SELECT MAX(updated_at)  FROM `course_activities` WHERE course_activities.course_id = courses.id) AS a").order("a desc").limit(5)
      end
    end
  end
end
